\chapter{Figures}
\label{ch:figures}



\section{Single Figures}
\label{sec:single-figures}


\subsection{Full Width}

\begin{figure}[!ht]
  \centering
  \includegraphics[width=\textwidth]{example-image}
  \caption{Caption.}
  \label{fig:label}
\end{figure}


\subsection{2/3 Width}

\begin{figure}[!ht]
  \centering
  \includegraphics[width=0.66\textwidth]{example-image}
  \caption{Caption.}
  \label{fig:label}
\end{figure}



\section{Multiple Subfigures}
\label{sec:multiple-subfigures}


\subsection{3 times 1/3 Width}

\begin{figure}[!ht]
  \centering
  \begin{subfigure}[b]{0.32\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-a}
    \caption{CaptionA}
    \label{fig:label_a}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.32\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-b}
    \caption{CaptionB}
    \label{fig:label_b}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.32\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-c}
    \caption{CaptionC}
    \label{fig:label_c}
  \end{subfigure}
  \caption{Caption.}
  \label{fig:label}
\end{figure}


\subsection{2 times 1/2 Width}

\begin{figure}[!ht]
  \centering
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-a}
    \caption{CaptionA}
    \label{fig:label_a}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-b}
    \caption{CaptionB}
    \label{fig:label_b}
  \end{subfigure}
  \caption{Caption.}
  \label{fig:label}
\end{figure}


\subsection{1/3 and 2/3 Width}

\begin{figure}[!ht]
  \centering
  \begin{subfigure}[b]{0.32\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-a}
    \caption{CaptionA}
    \label{fig:label_a}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.66\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-b}
    \caption{CaptionB}
    \label{fig:label_b}
  \end{subfigure}
  \caption{Caption.}
  \label{fig:label}
\end{figure}


\subsection{4 times 1/4 Width}

\begin{figure}[!ht]
  \centering
  \begin{subfigure}[b]{0.235\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-a}
    \caption{CaptionA}
    \label{fig:label_a}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.235\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-b}
    \caption{CaptionB}
    \label{fig:label_b}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.235\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-c}
    \caption{CaptionC}
    \label{fig:label_c}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.235\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-plain}
    \caption{CaptionD}
    \label{fig:label_d}
  \end{subfigure}
  \caption{Caption.}
  \label{fig:label}
\end{figure}


\subsection{4 times 1/2 Width}

\begin{figure}[!ht]
  \centering
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-a}
    \caption{CaptionA}
    \label{fig:label_a}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-b}
    \caption{CaptionB}
    \label{fig:label_b}
  \end{subfigure}
  \\\vspace{0.02\textwidth}
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-c}
    \caption{CaptionC}
    \label{fig:label_c}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-plain}
    \caption{CaptionD}
    \label{fig:label_d}
  \end{subfigure}
  \caption{Caption.}
  \label{fig:label}
\end{figure}


\subsection{4 times 1/2 Width without Captions}

\begin{figure}[!ht]
  \centering
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-a}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-b}
  \end{subfigure}
  \\\vspace{0.02\textwidth}
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-c}
  \end{subfigure}
  \hfill
  \begin{subfigure}[b]{0.49\textwidth}
    \centering
    \includegraphics[width=\textwidth]{example-image-plain}
  \end{subfigure}
  \caption{Caption.}
  \label{fig:label}
\end{figure}